/*
    MYDATA-Daemon
    
*/
#ifndef _mydata_H
	#define _mydata_H
	
	#include <avr/io.h>
	#include <avr/pgmspace.h>
    #include "myintTypes.h"

    
  #define mydataD_PORT    12345
  #define mydata_BUFFER_SIZE 100

  #define mydata_DEBUG(...)	
  //#include "strcasestr.h"	
    
//Globale variablen    
    struct {
        volatile U8 ack_wait	: 1;
        volatile U8 connected	: 1;
    }mydatad_status;
	
    
	char mydata_tx_buffer[mydata_BUFFER_SIZE];
	
	char *tx_buffer_pointer_in;
	char *tx_buffer_pointer_out;
    
    
  
	//Prototypen
	void mydatad (U8);
	void mydata_init (void);
	void mydatad_send_data (void);

  void mydata_write_char(char);


#endif //_mydata_H




